Subject: bug#28620: Interact directly on Emacs bug#28620: mouse drag event records wrong release window

From: Robert Weiner <[email-masked]>
Date: Sat, 14 Oct 2017 14:47:37 -0400

On Sat, Oct 14, 2017 at 1:16 PM, Robert Weiner <[email-masked]> wrote:

> it still leaves the issue of recognizing whether a drag release event maps
> to an Emacs frame or not (when the frame is covered by an external app's
> window).  I already have code that recognizes this in Lisp; we should make
> it a primitive so the drag release code in Emacs could report more useful
> and accurate information in drag release events.
>

​I misspoke.  I have code that detects when the release falls outside of
the bounds of any Emacs frame.  However, when the release event is over an
Emacs frame that is covered by another application's window, we don't yet
have any information to tell us that, so I cannot detect it yet.  That is
the problem we are discussing how to solve in a general way.

Bob
​